## crypto

Provides implementations of cryptography primitives and wrappers around primitives needed in MobileCoin components.

| Name    | Description |
| ------- | ----------- |
| [`ake/enclave`](./ake/enclave/) | Authenticated key exchange enclave. |
| [`box`](./box/README.md) | crypto_box style asymmetric key cryptography. |
| [`digestible`](./digestible/README.md) | Cryptographic hashing of structured data. |
| [`hashes`](./hashes/README.md) | Wrappers of cryptographic hash functions. |
| [`keys`](./keys/README.md) | Public key cryptography. |
| [`message-cipher`](./message-cipher/README.md) | Encryption cipher. |
| [`noise`](./noise/) | Noise protocol for authenticated key exchange. |
| [`rand`](./mcrand/README.md) | `no_std` random number generator. |
| [`sig`](./sig/README.md) | API for schnorrkel digital signatures, using types from keys crate. |
